/// ABBYY® Mobile Capture © 2019 ABBYY Production LLC.
/// ABBYY is a registered trademark or a trademark of ABBYY Software Ltd.

#import <Foundation/Foundation.h>
#import "RTRDefinitions.h"

NS_ASSUME_NONNULL_BEGIN

@class RTRDataField;

/// Field of recognized DataCapture scenario.
RTR_API_LINKAGE
@interface RTRDataField : NSObject

/// Field Identifier.
@property (nonatomic, strong, readonly, nullable) NSString* id;
/// Extended localized (RU) field description.
@property (nonatomic, strong, readonly, nullable) NSString* name;
/// Recognized text value for field.
@property (nonatomic, strong, readonly) NSString* text;
/// Four vertices of the bounding quadrangle.
@property (nonatomic, strong, readonly) NSArray<NSValue*>* quadrangle;
/// In some cases the field contains several components, like for example passport number or last name.
@property (nonatomic, strong, readonly, nullable) NSArray<RTRDataField*>* components;

- (instancetype)init __unavailable;

@end

NS_ASSUME_NONNULL_END
