/// ABBYY® Mobile Capture © 2019 ABBYY Production LLC.
/// ABBYY is a registered trademark or a trademark of ABBYY Software Ltd.

#import <Foundation/Foundation.h>
#import <AVKit/AVKit.h>

NS_ASSUME_NONNULL_BEGIN

@protocol AUICaptureScenarioDelegate;

@interface AUICaptureScenario : NSObject

+ (NSArray<NSNumber*>*)supportedCameraResolutionsForDevice;

@property (nonatomic, weak, nullable) id<AUICaptureScenarioDelegate> delegate;

/// Cancel scenario.
- (void)cancel;

@end

@protocol AUICaptureScenarioDelegate <NSObject>

- (void)captureScenarioDidCancel:(AUICaptureScenario*)scenario;

@end

NS_ASSUME_NONNULL_END
