// ABBYY® Mobile Capture © 2019 ABBYY Production LLC.
// ABBYY is a registered trademark or a trademark of ABBYY Software Ltd.

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

typedef void (^ImageLoadingCompletion)(UIImage* image);

/// Class for async image loading from file system
@interface ImageLoader : NSObject
/// Start loading
- (void)loadImageWith:(NSString*)path completion:(ImageLoadingCompletion)completion;
/// Cancel loading
- (void)cancelLoading:(NSString*)path;
/// Remove all items from loading queue
- (void)clear;

@end

NS_ASSUME_NONNULL_END
